Bug 184643 - [WPE] Build and link against latest WPEBackend and WPEBackend-fdo
Summary: [WPE] Build and link against latest WPEBackend and WPEBackend-fdo
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords: InRadar
Depends on:
Blocks: 178894
  Show dependency treegraph
 
Reported: 2018-04-16 00:00 PDT by Zan Dobersek
Modified: 2018-04-25 23:41 PDT (History)
5 users (show)

See Also:


Attachments
Patch (4.14 KB, patch)
2018-04-16 00:01 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (19.70 KB, patch)
2018-04-24 22:47 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Patch (20.06 KB, patch)
2018-04-25 06:47 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Patch (19.98 KB, patch)
2018-04-25 06:59 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Patch (19.94 KB, patch)
2018-04-25 07:23 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Patch (19.94 KB, patch)
2018-04-25 07:41 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Patch (19.94 KB, patch)
2018-04-25 08:29 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.20 MB, application/zip)
2018-04-25 13:26 PDT, EWS Watchlist
no flags Details
Patch (20.26 KB, patch)
2018-04-25 14:28 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2018-04-16 00:00:53 PDT
[WPE] Build and link against versioned WPEBackend
Comment 1 Zan Dobersek 2018-04-16 00:01:35 PDT
Created attachment 337990 [details]
Patch
Comment 2 Zan Dobersek 2018-04-16 00:02:32 PDT
Comment on attachment 337990 [details]
Patch

I could wait for WPEBackend-fdo to also become versioned, and do all this in one go.
Comment 3 Michael Catanzaro 2018-04-16 07:43:56 PDT
That was my plan, but this is fine too.

I got backlogged with other work, will try to care for WPEBackend-fdo soon.
Comment 4 Michael Catanzaro 2018-04-24 22:47:38 PDT
Created attachment 338709 [details]
Patch
Comment 5 Michael Catanzaro 2018-04-24 22:48:59 PDT
Notes:

 * I left export_linux_dmabuf unimplemented in HeadlessViewBackend, which is probably bad. No clue how to handle that.
 * I'll update the JHBuild moduleset again before landing.
Comment 6 Michael Catanzaro 2018-04-25 06:28:22 PDT
Hm, I forgot to update dyz.
Comment 7 Michael Catanzaro 2018-04-25 06:47:58 PDT
Created attachment 338727 [details]
Patch
Comment 8 Michael Catanzaro 2018-04-25 06:48:25 PDT
(In reply to Michael Catanzaro from comment #7)
> Created attachment 338727 [details]
> Patch

This should fix dyz. I'm still expecting EWS to fail, though: this will probably need a clean build.
Comment 9 Michael Catanzaro 2018-04-25 06:59:05 PDT
Created attachment 338728 [details]
Patch
Comment 10 Michael Catanzaro 2018-04-25 07:22:48 PDT
(In reply to Michael Catanzaro from comment #5)
> Notes:
> 
>  * I left export_linux_dmabuf unimplemented in HeadlessViewBackend, which is
> probably bad. No clue how to handle that.

Reverted the WPEBackend-fdo commits that added this API

>  * I'll update the JHBuild moduleset again before landing.

Done (no longer uses my fork of WebPlatformForEmbedded/WPEBackend repo)
Comment 11 Michael Catanzaro 2018-04-25 07:23:02 PDT
Created attachment 338731 [details]
Patch
Comment 12 Michael Catanzaro 2018-04-25 07:41:23 PDT
Created attachment 338736 [details]
Patch
Comment 13 Michael Catanzaro 2018-04-25 08:29:55 PDT
Created attachment 338738 [details]
Patch
Comment 14 Zan Dobersek 2018-04-25 11:44:05 PDT
(In reply to Michael Catanzaro from comment #13)
> Created attachment 338738 [details]
> Patch

Still doesn't complete a clean build:

In file included from /home/zan/Work/webkit/git/Tools/WebKitTestRunner/wpe/EventSenderProxyWPE.cpp:29:0:
../../Tools/wpe/HeadlessViewBackend/HeadlessViewBackend.h:35:21: fatal error: wpe/fdo.h: No such file or directory
 #include <wpe/fdo.h>
                     ^
compilation terminated.


Does `find_package(WPEBackend-fdo REQUIRED)` have to be called separately in Tools/WebKitTestRunner/PlatformWPE.cmake?
Comment 15 Michael Catanzaro 2018-04-25 12:13:00 PDT
Did you try 'rm -rf WebKitBuild/' before you started?

(In reply to Zan Dobersek from comment #14)
> Does `find_package(WPEBackend-fdo REQUIRED)` have to be called separately in
> Tools/WebKitTestRunner/PlatformWPE.cmake?

No, once in OptionsWPE.cmake is enough. I suspect you just need a clean build.
Comment 16 Michael Catanzaro 2018-04-25 13:24:53 PDT
Let me try testing a release build; I've only checked a debug build so far.
Comment 17 EWS Watchlist 2018-04-25 13:26:37 PDT
Comment on attachment 338738 [details]
Patch

Attachment 338738 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7456112

New failing tests:
compositing/debug-borders-dynamic.html
Comment 18 EWS Watchlist 2018-04-25 13:26:38 PDT
Created attachment 338780 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 19 Michael Catanzaro 2018-04-25 14:07:34 PDT
OK, I actually get the same error in a release build.
Comment 20 Michael Catanzaro 2018-04-25 14:12:42 PDT
(In reply to Zan Dobersek from comment #14)
> Does `find_package(WPEBackend-fdo REQUIRED)` have to be called separately in
> Tools/WebKitTestRunner/PlatformWPE.cmake?

And I missed that these were testing-only dependencies....
Comment 21 Michael Catanzaro 2018-04-25 14:26:43 PDT
(In reply to Zan Dobersek from comment #14)
> Does `find_package(WPEBackend-fdo REQUIRED)` have to be called separately in
> Tools/WebKitTestRunner/PlatformWPE.cmake?

You were right, that's all that's required.
Comment 22 Michael Catanzaro 2018-04-25 14:28:06 PDT
Created attachment 338794 [details]
Patch
Comment 23 Michael Catanzaro 2018-04-25 15:29:53 PDT
EWS failure is expected, Adrian will restart the WPE EWS after this lands.
Comment 24 WebKit Commit Bot 2018-04-25 23:40:09 PDT
Comment on attachment 338794 [details]
Patch

Clearing flags on attachment: 338794

Committed r231042: <https://trac.webkit.org/changeset/231042>
Comment 25 WebKit Commit Bot 2018-04-25 23:40:11 PDT
All reviewed patches have been landed.  Closing bug.
Comment 26 Radar WebKit Bug Importer 2018-04-25 23:41:20 PDT
<rdar://problem/39749139>